<?php

/*
 * Tmac PHP MVC framework
 * $Author: zhangwentao $
 * $Id: init.php 53 2011-12-05 11:10:53Z zhangwentao $
 */
@set_time_limit(0);
define('WEB_ROOT', preg_replace("/install/", '', dirname(__FILE__)));
$tmac_base_path = dirname(dirname(__FILE__));
//Tmac物理根目录
define('TMAC_BASE_PATH', $tmac_base_path . DIRECTORY_SEPARATOR);
define('APPLICATION', 'application');
//The directory in which your var are located.
define('VARROOT', 'var');
//定义项目名称和路径
define('APP_NAME', 'www');
//application目录
define('APPLICATION_ROOT', TMAC_BASE_PATH . APP_NAME . DIRECTORY_SEPARATOR . APPLICATION . DIRECTORY_SEPARATOR);
//var目录
define('VAR_ROOT', TMAC_BASE_PATH . APP_NAME . DIRECTORY_SEPARATOR . VARROOT . DIRECTORY_SEPARATOR);
define('ROOTDATA', VAR_ROOT . 'Data'.  DIRECTORY_SEPARATOR);
define('THISROOT', dirname(__file__));
require_once(WEB_ROOT . '/inc/common.inc.php');
?>
